Subject: Re: GASP!!!

From: "Hattig, Myron" <[email-masked]>
Date: Tue, 8 Dec 1998 11:26:33 -0800

Peter,

If you thought the poll was premature, why didn't you
say so sooner. At the beginning of the GASP discussion
I laid out the plan to discuss for a week then do a poll.
That is exactly what we did, but there was virtually no
discussion. If you thought there was an agreement, why
have you waited so long to object about the latest steps?

I don't understand what decisions you are talking about ...
there have been no decisions regarding your ARP or GASP
proposal. There was no consensus for or against. Ostrich
behavior? Again, I don't understand what you are
talking about.

I hope it is clear that no decisions have been made.

Also, I would like to clarify my opinion (which is not
the equivalent of what the WG is going to do). I want to have
a GASP header; however, I don't think it should be part of the
IP over 1394 spec. The GASP header should be part of the
p1394.1 spec. I think most people agree with this.

The question then is how does the IP/1394 spec change.
My proposal is to change the IP/1394 Spec to reference the GASP
header in the p1394.1 spec and state that certain fields in
the ARP, MCAP, and link fragment header may be obsoleted
when the GASP header becomes a IEEE p1394.1 standard. The
bridging WG will define the relationship between the GASP
header and the fields in the ARP, MCAP, and link frag headers
with help from IP/1394 WG members. If IP/1394 WG members
are interested, they should attend the bridging meeting.

I think this reaches the goal of allowing the bridging WG to
work on their spec independent of the IP/1394 spec and vice
versa.

This WG has been stalled for three months on this bridging issue.
Peoples' opinions need to be shared on this reflector to help
us get past this issue.

Patiently waiting,

-myron

> -----Original Message-----
> From: Peter Johansson [mailto:[email-masked]]
> Sent: Tuesday, December 08, 1998 9:38 AM
> To: [email-masked]
> Subject: Re: GASP!!!
>
>
> Myron, I refrained from voting in the recent poll because I
> thought it was
> premature.
>
> I had also thought there was agreement to NOT rush to
> judgment, that is, to
> wait until after a more comprehensive discussion of bridges
> and asynchronous
> stream packets at the P1394.1 working group in Monterey this week.
>
> I think a decision to leave the ARP formats as they are is
> very wrong-headed.
> The only outcome I can see is a terrible mess for IP/1394. If
> P1394.1 adopts
> the stance that asynchronous stream packets will NOT be
> forwarded by bridges
> unless they are in the GASP format, IP/1394 implementations
> will have to have
> TWO ARP and MCAP formats and will have to ARP twice (once for
> local and once
> for remote IP nodes). On the other hand, if P1394.1 forwards
> all asynchronous
> stream packets, the consequences for IP/1394 will be equally
> disagreeable: IP-
> capable nodes will respond inappropriately to remote ARP with
> no way to
> determine if the unicast_FIFO address is a virtual or physical ID.
>
> I'm very disappointed that the working group seems to have
> elected to behave
> like an ostrich and ignore the very real problems of ARP in
> the bridged
> environment. Your participation is needed, in conjunction with P1394.1
> members, to solve these problems. You have been offered a
> solution that works
> and that is claimed to be usable NO MATTER WHAT bridging
> strategy is chosen by
> P1394.1. Perhaps there should be more discussion on the
> adequacy (or not) of
> this assertion? Because if it is credible, I think it is
> irresponsible for the
> IP/1394 working group to NOT adopt GASP at present.
>
> I hope to see members of the IP/1394 working group at the
> P1394.1 meetings
> this week.
>
> Peter Johansson
>
> Congruent Software, Inc.
> 98 Colorado Avenue
> Berkeley, CA  94707
>
> (510) 527-3926
> (510) 527-3856 FAX
>
> [email-masked]
>